Skip to content
LogoLogo

Transactions

Node API v1.0.0 (Arrekta Node API).

MethodPathSummary
POST/v1/txsSubmit Tx
GET/v1/txs/{txid}Get Tx
GET/v1/txs/{txid}/proofGet Tx Proof
GET/v1/txs/{txid}/rawGet Tx Raw
POST/v1/txs/decodeDecode Tx
POST/v1/txs/packageSubmit Package

POST /v1/txs

Submit Tx.

curl -s -X POST http://127.0.0.1:28332/v1/txs -H 'content-type: application/json' -d '{…}'

Request body (application/json, required): HexBody

FieldTypeRequiredNotes
hexstringyesHex-encoded serialized object. max length 16000002

Response 202 (application/json): TxAccepted

FieldTypeRequiredNotes
feestringyes
fee_per_kbintegeryes
sizeintegeryes
txidstringyes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: submit_tx_v1_txs_post

GET /v1/txs/{txid}

Get Tx.

curl -s http://127.0.0.1:28332/v1/txs/<txid>

Parameters

NameInTypeRequiredNotes
txidpathstringyes

Response 200 (application/json): Tx

FieldTypeRequiredNotes
clawback_inputsinteger[]yes
coinbasebooleanyes
feestring | nullnomay be null
freezesFreeze[]yes
inputsTxInput[]yes
issuancesIssuance[]yes
lock_timeintegeryes
memostringyes
mintsMint[]yes
outputsTxOutput[]yes
sizeintegeryes
statusTxStatus | nullnomay be null
txidstringyes
valid_untilinteger | nullnomay be null
versionintegeryes
wtxidstringyes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: get_tx_v1_txs__txid__get

GET /v1/txs/{txid}/proof

Get Tx Proof.

Self-contained proof that the transaction is final under a signed checkpoint (§9.9), verifiable against the network's genesis checkpoint group.

curl -s http://127.0.0.1:28332/v1/txs/<txid>/proof

Parameters

NameInTypeRequiredNotes
txidpathstringyes

Response 200 (application/json): FinalityProof

A finality proof (PROTOCOL.md §9.9) and what it proves under the genesis signer group.

FieldTypeRequiredNotes
block_hashstringyes
checkpoint_heightintegeryes
handoversintegeryes
headersintegeryes
heightintegeryes
hexstringyes
signer_set_idstringyes
txidstringyes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: get_tx_proof_v1_txs__txid__proof_get

GET /v1/txs/{txid}/raw

Get Tx Raw.

curl -s http://127.0.0.1:28332/v1/txs/<txid>/raw

Parameters

NameInTypeRequiredNotes
txidpathstringyes

Response 200 (application/json): RawHex

FieldTypeRequiredNotes
hashstring | nullnomay be null
hexstring | nullyesmay be null
txidstring | nullnomay be null

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: get_tx_raw_v1_txs__txid__raw_get

POST /v1/txs/decode

Decode Tx.

curl -s -X POST http://127.0.0.1:28332/v1/txs/decode -H 'content-type: application/json' -d '{…}'

Request body (application/json, required): HexBody

FieldTypeRequiredNotes
hexstringyesHex-encoded serialized object. max length 16000002

Response 200 (application/json): Tx

FieldTypeRequiredNotes
clawback_inputsinteger[]yes
coinbasebooleanyes
feestring | nullnomay be null
freezesFreeze[]yes
inputsTxInput[]yes
issuancesIssuance[]yes
lock_timeintegeryes
memostringyes
mintsMint[]yes
outputsTxOutput[]yes
sizeintegeryes
statusTxStatus | nullnomay be null
txidstringyes
valid_untilinteger | nullnomay be null
versionintegeryes
wtxidstringyes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: decode_tx_v1_txs_decode_post

POST /v1/txs/package

Submit Package.

Fee bumping: a low-fee parent plus the child that pays for it (§13.2).

curl -s -X POST http://127.0.0.1:28332/v1/txs/package -H 'content-type: application/json' -d '{…}'

Request body (application/json, required): PackageBody

FieldTypeRequiredNotes
hexstring[]yes[parent, child] raw transactions. min items 2, max items 2

Response 200 (application/json): PackageAccepted

FieldTypeRequiredNotes
package_feestringyes
package_sizeintegeryes
txidsstring[]yes

Unknown fields may be added within v1; clients must ignore them.

Errors 400, 404, 409, 422, 429: application/problem+json Problem with a stable code.

operationId: submit_package_v1_txs_package_post

Schemas

FinalityProof

A finality proof (PROTOCOL.md §9.9) and what it proves under the genesis signer group.

FieldTypeRequiredNotes
block_hashstringyes
checkpoint_heightintegeryes
handoversintegeryes
headersintegeryes
heightintegeryes
hexstringyes
signer_set_idstringyes
txidstringyes

Unknown fields may be added within v1; clients must ignore them.

Freeze

FieldTypeRequiredNotes
addressstring | nullyesmay be null
assetstringyes
authority_forstring | nullnomay be null
control_forstring | nullnomay be null
decimalsintegeryes
frozenbooleanyes
tickerstring | nullyesmay be null

Unknown fields may be added within v1; clients must ignore them.

HexBody

FieldTypeRequiredNotes
hexstringyesHex-encoded serialized object. max length 16000002

Issuance

FieldTypeRequiredNotes
amountstringyes
assetstringyes
authority_assetstring | nullyesmay be null
clawbackbooleanyes
control_assetstring | nullyesmay be null
decimalsintegeryes
freezablebooleanyes
max_supplystringyes
metadata_hashstringyes
mintablebooleanyes
namestringyes
tickerstringyes

Unknown fields may be added within v1; clients must ignore them.

Mint

FieldTypeRequiredNotes
amountstringyes
assetstringyes
authority_forstring | nullnomay be null
control_forstring | nullnomay be null
decimalsintegeryes
tickerstring | nullyesmay be null

Unknown fields may be added within v1; clients must ignore them.

PackageAccepted

FieldTypeRequiredNotes
package_feestringyes
package_sizeintegeryes
txidsstring[]yes

Unknown fields may be added within v1; clients must ignore them.

PackageBody

FieldTypeRequiredNotes
hexstring[]yes[parent, child] raw transactions. min items 2, max items 2

RawHex

FieldTypeRequiredNotes
hashstring | nullnomay be null
hexstring | nullyesmay be null
txidstring | nullnomay be null

Unknown fields may be added within v1; clients must ignore them.

Tx

FieldTypeRequiredNotes
clawback_inputsinteger[]yes
coinbasebooleanyes
feestring | nullnomay be null
freezesFreeze[]yes
inputsTxInput[]yes
issuancesIssuance[]yes
lock_timeintegeryes
memostringyes
mintsMint[]yes
outputsTxOutput[]yes
sizeintegeryes
statusTxStatus | nullnomay be null
txidstringyes
valid_untilinteger | nullnomay be null
versionintegeryes
wtxidstringyes

Unknown fields may be added within v1; clients must ignore them.

TxAccepted

FieldTypeRequiredNotes
feestringyes
fee_per_kbintegeryes
sizeintegeryes
txidstringyes

Unknown fields may be added within v1; clients must ignore them.

TxInput

FieldTypeRequiredNotes
addressstring | nullnomay be null
amountstring | nullnomay be null
assetstring | nullnomay be null
decimalsinteger | nullnomay be null
sequenceintegeryes
tickerstring | nullnomay be null
txidstringyes
voutintegeryes

Unknown fields may be added within v1; clients must ignore them.

TxOutput

FieldTypeRequiredNotes
addressstring | nullyesmay be null
amountstringyes
assetstringyes
authority_forstring | nullnomay be null
burn_datastring | nullnomay be null
control_forstring | nullnomay be null
decimalsintegeryes
lockstringyesone of burn, pubkey_hash, multisig_hash, policy, reserved
nintegeryes
tickerstring | nullyesmay be null

Unknown fields may be added within v1; clients must ignore them.

TxStatus

FieldTypeRequiredNotes
block_hashstring | nullnomay be null
block_heightinteger | nullnomay be null
confirmationsinteger | nullnomay be null
confirmedbooleanyes
fee_per_kbinteger | nullnomay be null
finalboolean | nullnoconfirmed at or below the latest signed checkpoint: can never be reorganised. may be null
first_seeninteger | nullnomay be null
in_mempoolboolean | nullnomay be null
replaced_bystring | nullnoevicted from the mempool by this fee-bump replacement (kept for recent replacements). may be null

Unknown fields may be added within v1; clients must ignore them.